
#pragma once

#include "RegDumpCPUDlg.h"

class CRegDumpViewCPU : public CDockablePane
{
		DECLARE_DYNAMIC(CRegDumpViewCPU)

		CRegDumpCPUDlg m_CPURedDumpDlg;

	public:
		CRegDumpViewCPU();
		virtual ~CRegDumpViewCPU() override;
		virtual void AdjustLayout() override;

		void AttachDebugger(CDebugger *pDbgr)
		{
			m_CPURedDumpDlg.AttachDebugger(pDbgr);
		}

		void SetFreqParam()
		{
			m_CPURedDumpDlg.DisplayFreqParam();
		}

		void UpdateFreq()
		{
			m_CPURedDumpDlg.UpdateFreq();
		}

		void DisplayRegDump()
		{
			if (IsVisible())
			{
				m_CPURedDumpDlg.DisplayRegisters();
				m_CPURedDumpDlg.DisplayPortRegs();
				m_CPURedDumpDlg.DisplayAltProData();
				// выводим на экран данные FDD
			}
		}

	protected:
		virtual void    OnAfterFloat() override;
		virtual void    OnAfterDockFromMiniFrame() override;

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

